let gulp = require('gulp');
let gulpFilter = require('gulp-filter');
let elixir = require('laravel-elixir');
let config = elixir.config;
let gulpFilter = require('gulp-filter');
let rename = require('laravel-elixir-rename');
let oacssmin = require('oa-laravel-elixir-css-uglify');


/**
 * Compile css files, useful when using scripts loaded asynchronously
 * @param  {string}        src        The files to uglify
 * @param  {string|object} outputPath The output path, or an options object
 * @param  {string|object} baseDir    The dir in wich to look for js files, or an options object
 * @param  {object}        options    The options object passed to the uglify task
 */


elixir.extend('oacss', function (src, output, myPathsToBeVersioned) {

    var dir = path.dirname(output);
    var fileName = output.replace(/\\/g, '/').substring(output.lastIndexOf('/') + 1, output.lastIndexOf('.'));
    myPathsToBeVersioned.push("public/" + dir + "/" + fileName + ".min.css");
    elixir(function (mix) {
        mix.styles(src, "public/" + output);
        if (elixir.config.production) {
            mix.oacssmin(fileName, 'public/' + dir, 'public/' + dir);
        }
        mix.rename("public/" + dir + "/" + fileName + ".css", fileName + '.min.css', "public/" + dir);


        mix.rename("public/" + dir + "/" + fileName + ".css.map", fileName + '.min.css.map', "public/" + dir);
    });
})